/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmVarAdd;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmVarAddRecord extends UpdatableRecordImpl<TDmVarAddRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_var_add.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_var_add.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_var_add.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_var_add.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_var_add.fk_variable</code>. ID of
     * variable
     */
    public void setFkVariable(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_var_add.fk_variable</code>. ID of
     * variable
     */
    public Integer getFkVariable() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_var_add.fk_tabledef</code>. variable
     * reference (key_variable) for this adding
     */
    public void setFkTabledef(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_var_add.fk_tabledef</code>. variable
     * reference (key_variable) for this adding
     */
    public Integer getFkTabledef() {
        return (Integer) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmVarAddRecord
     */
    public TDmVarAddRecord() {
        super(TDmVarAdd.T_DM_VAR_ADD);
    }

    /**
     * Create a detached, initialised TDmVarAddRecord
     */
    public TDmVarAddRecord(LocalDateTime lastchange, Integer pk, Integer fkVariable, Integer fkTabledef) {
        super(TDmVarAdd.T_DM_VAR_ADD);

        setLastchange(lastchange);
        setPk(pk);
        setFkVariable(fkVariable);
        setFkTabledef(fkTabledef);
        resetChangedOnNotNull();
    }
}
